<?
session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  $objPer=new clsPer;
  $existecod=$objPer->ExistePersonal($dociden_per);
  	if($dni!=""){
	$tipodoc="DNI";
	}
	if($lm!=""){
	$tipodoc="LM";
	}
	if($pasaporte!=""){
	$tipodoc="PASAPORTE";
	}
	if($carnet!=""){
	$tipodoc="CARNET EXTRANJ.";
	}
	$nombre_p="codigo_personal";	
	$fnac_per=extraerfechamysql($fnac_per);
//if($existecod==0){
if($_FILES['file']['name']!=""){		
	$ruta='../../../fotos_per/'.$archivo;	
	unlink($ruta);
	$destino = '../../../fotos_per';
	copy($_FILES['file']['tmp_name'], $destino.'/'.$_FILES['file']['name']);		
	$objPer->updatePersonalB($appat_per,$apmat_per,$nom_per,$fnac_per,$cod_pais,$fono_per,$dociden_per,$_FILES['file']['name'],$dir_per,$estcivil_per,$afp_per,$numafp_per,$seguro_per,$email,$profesion,$ruc,$tipodoc,$vacunas);  
	$objPer->UpdateParametro($nombre_p,$valor);
	
	while(list($clave,$valor)=each($familiar)){  
		$tipo_f=$valor[0];
		$nom_f=$valor[1];
		$appat_f=$valor[2];
		$apmat_f=$valor[3];
		$fnac_f=$valor[4];		
		$cod_f=$valor[5];
		$existe=$objPer->ExisteFamiliarCod($cod_f);
		if($existe==0){
		$objPer->registrarFamiliar($cod_f,$$dociden_per,$appat_f,$apmat_f,$nom_f,extraerfechamysql($fnac_f),$tipo_f);
		}
	}
	Redirigir("../cvp_registrar_contrato.php?tipo=$tipo&des=$des&borrar=$borrar&q=$q&tipodoc=$tipodoc&dociden_per=$dociden_per");	
}else{
	$objPer->updatePersonalB($appat_per,$apmat_per,$nom_per,$fnac_per,$cod_pais,$fono_per,$dociden_per,$archivo,$dir_per,$estcivil_per,$afp_per,$numafp_per,$seguro_per,$email,$profesion,$ruc,$tipodoc,$vacunas);  
	$objPer->UpdateParametro($nombre_p,$valor);
	
	while(list($clave,$valor)=each($familiar)){  
		$tipo_f=$valor[0];
		$nom_f=$valor[1];
		$appat_f=$valor[2];
		$apmat_f=$valor[3];
		$fnac_f=$valor[4];	
		$cod_f=$valor[5];	
		$existe=$objPer->ExisteFamiliarCod($cod_f);
		if($existe==0){
		$objPer->registrarFamiliar($cod_f,$dociden_per,$appat_f,$apmat_f,$nom_f,extraerfechamysql($fnac_f),$tipo_f);
		}
	}
	Redirigir("../cvp_registrar_contrato.php?tipo=$tipo&des=$des&borrar=$borrar&q=$q&tipodoc=$tipodoc&dociden_per=$dociden_per");
}
  
?>